Pbm Profile Profile Manager Pbm Query Associated Entity

Pbm Profile Profile Manager Pbm Query Associated Entity
Retrieves entities associated with the specified profile.

Retrieves entities associated with the specified profile.

Required privileges: StorageProfile.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmQueryAssociatedEntity
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmProfileProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
PbmQueryAssociatedEntityRequestType of type(s) application/json
Required

Show optional properties

{
    "profile": {}
}
{
    "profile": {
        "_typeName": "string",
        "uniqueId": "string"
    },
    "entityType": "string"
}
profile
Required

Profile identifier.

string
entityType
Optional

If specified, the method returns only those entities which match the type. The entityType string value must match one of the PbmObjectTypeEnum values. If not specified, the method returns all entities associated with the profile.

Authentication
This operation uses the following authentication methods.
Responses
200

Array of entities associated with the profile.

[
    {
        "_typeName": "string",
        "objectType": "string",
        "key": "string",
        "serverUuid": "string"
    }
]
array of object
Optional

The PbmServerObjectRef data object identifies a virtual machine, virtual disk attached to a virtual machine, a first class storage object or a datastore.

This structure may be used only with operations rendered under /pbm.


500

PbmFault: If there is an internal server error.

Returns PbmFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"profile":"{}"}' https://{api_host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmQueryAssociatedEntity